Audit — MDDB API

Query audit-log events (admin-only) #

GET /v1/audit

List structured audit-log events recorded by the server for ISO 27001 A.8.15 / SOC 2 CC7.2 compliance. Admin JWT required. Returns 404 when MDDB_AUDIT_ENABLED is not set. Events are returned newest-first.

Authorization: BearerAuth

Parameters #

Name In Type Description
from query string (date-time) RFC3339 lower bound (inclusive)
to query string (date-time) RFC3339 upper bound (inclusive)
fromNanos query integer (int64) Nanosecond-precision lower bound (overrides from)
toNanos query integer (int64) Nanosecond-precision upper bound
actor query string Filter by authenticated username
action query string e.g. auth.login, auth.jwt, write./v1/add
result query string One of "ok", "fail".
limit query integer Default 100.

Responses #

Status Description Body
200 Matching events object (application/json)
401 Missing or invalid token
403 Not an admin
404 Audit disabled

Per-sink audit export delivery counters (2.9.16+) #

GET /v1/audit/exporters

Returns a snapshot of every configured audit-log exporter (webhook, syslog) with delivered / failed / dropped counts and the last error.

Authorization: BearerAuth or APIKeyAuth

Responses #

Status Description Body
200 Exporter status object (application/json)
401 Missing or invalid token
403 Not an admin
404 Audit disabled